Subject: bug#36670: 27.0.50; Wishlist: describe-face should use the new help-buffer infrastructure

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2019 09:41:51 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 21 Sep 2019 00:48:09 +0200
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > M-x describe-variable (and -function) uses a new infrastructure based on
> > help-fns-describe-{variable,function}-functions that registers a bunch
> > of little bits to be output, which gives more flexibility.
> >
> > describe-face should use the same thing, and be moved to help-fns.el.
> 
> I have now done this on the trunk, as previously requested by Stefan M.

What does this mean in practice?  I see nothing about this in NEWS or
in the manuals, which makes me wonder how is this "more flexible".  I
guess there were some discussions, but neither the log message nor the
bug discussion mentions any other sources of information.  Could you
please point to those discussions, or fill the void by explaining what
additional flexibility do we gain?  This is for future forensics, if
for nothing else.

Thanks.